# loadCustomMovesForEncounter | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function loadCustomMovesForEncounter

- loadCustomMovesForEncounter(moves: Moves | Moves []): Promise<void>

  Load special move animations/sfx for hard-coded encounter-specific moves that a pokemon uses at the start of an encounter See: startOfBattleEffects for more details

  This promise does not need to be awaited on if called in an encounter onInit (will just load lazily)

  #### Parameters

  - moves: Moves | Moves []

  #### Returns Promise<void>

  - Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:470